"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSnippetDefinition = void 0;
const theme_check_common_1 = require("@shopify/theme-check-common");
function getSnippetDefinition(snippet, snippetName) {
    const parameters = (0, theme_check_common_1.visit)(snippet, {
        LiquidDocParamNode(node) {
            var _a, _b, _c, _d;
            return {
                name: node.paramName.value,
                description: (_b = (_a = node.paramDescription) === null || _a === void 0 ? void 0 : _a.value) !== null && _b !== void 0 ? _b : null,
                type: (_d = (_c = node.paramType) === null || _c === void 0 ? void 0 : _c.value) !== null && _d !== void 0 ? _d : null,
                required: node.required,
            };
        },
    });
    return {
        name: snippetName,
        liquidDoc: {
            parameters,
        },
    };
}
exports.getSnippetDefinition = getSnippetDefinition;
//# sourceMappingURL=liquidDoc.js.map